zenilib: ConstantUnion Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
ConstantUnion Class Reference

`#include <ConstantUnion.h>`

## Public Member Functions

| ConstantUnion ()
bool | getBConst ()
bool | getBConst () const
float | getFConst ()
float | getFConst () const
int | getIConst ()
int | getIConst () const
TBasicType | getType () const
bool | operator!= (const int i) const
bool | operator!= (const float f) const
bool | operator!= (const bool b) const
bool | operator!= (const ConstantUnion &constant) const
ConstantUnion | operator% (const ConstantUnion &constant) const
ConstantUnion | operator& (const ConstantUnion &constant) const
ConstantUnion | operator&& (const ConstantUnion &constant) const
ConstantUnion | operator* (const ConstantUnion &constant) const
ConstantUnion | operator+ (const ConstantUnion &constant) const
ConstantUnion | operator- (const ConstantUnion &constant) const
bool | operator< (const ConstantUnion &constant) const
ConstantUnion | operator<< (const ConstantUnion &constant) const
bool | operator== (const int i) const
bool | operator== (const float f) const
bool | operator== (const bool b) const
bool | operator== (const ConstantUnion &constant) const
bool | operator> (const ConstantUnion &constant) const
ConstantUnion | operator>> (const ConstantUnion &constant) const
ConstantUnion | operator^ (const ConstantUnion &constant) const
ConstantUnion | operator| (const ConstantUnion &constant) const
ConstantUnion | operator|| (const ConstantUnion &constant) const
| POOL_ALLOCATOR_NEW_DELETE ()
void | setBConst (bool b)
void | setFConst (float f)
void | setIConst (int i)

## Detailed Description

Definition at line 12 of file ConstantUnion.h.

## Constructor & Destructor Documentation

ConstantUnion::ConstantUnion | ( |  | ) |

inline

Definition at line 15 of file ConstantUnion.h.

References EbtVoid, and iConst.

## Member Function Documentation

bool ConstantUnion::getBConst | ( |  | ) |

inline

Definition at line 27 of file ConstantUnion.h.

References bConst.

Referenced by TIntermConstantUnion::fold(), TIntermConstantUnion::getBConst(), TOutputGLSLBase::writeConstantUnion(), and sh::OutputHLSL::writeConstantUnion().

bool ConstantUnion::getBConst | ( |  | ) | const

inline

Definition at line 30 of file ConstantUnion.h.

References bConst.

float ConstantUnion::getFConst | ( |  | ) |

inline

Definition at line 26 of file ConstantUnion.h.

References fConst.

Referenced by TIntermConstantUnion::getFConst(), TOutputGLSLBase::writeConstantUnion(), and sh::OutputHLSL::writeConstantUnion().

float ConstantUnion::getFConst | ( |  | ) | const

inline

Definition at line 29 of file ConstantUnion.h.

References fConst.

int ConstantUnion::getIConst | ( |  | ) |

inline

Definition at line 25 of file ConstantUnion.h.

References iConst.

Referenced by TIntermConstantUnion::getIConst(), TOutputGLSLBase::writeConstantUnion(), and sh::OutputHLSL::writeConstantUnion().

int ConstantUnion::getIConst | ( |  | ) | const

inline

Definition at line 28 of file ConstantUnion.h.

References iConst.

TBasicType ConstantUnion::getType | ( |  | ) | const

inline

Definition at line 245 of file ConstantUnion.h.

Referenced by TOutputGLSLBase::writeConstantUnion(), and sh::OutputHLSL::writeConstantUnion().

bool ConstantUnion::operator!= | ( | const int | i | ) | const

inline

Definition at line 64 of file ConstantUnion.h.

References operator==().

bool ConstantUnion::operator!= | ( | const float | f | ) | const

inline

Definition at line 69 of file ConstantUnion.h.

References operator==().

bool ConstantUnion::operator!= | ( | const bool | b | ) | const

inline

Definition at line 74 of file ConstantUnion.h.

References operator==().

bool ConstantUnion::operator!= | ( | const ConstantUnion & | constant | ) | const

inline

Definition at line 79 of file ConstantUnion.h.

References operator==().

ConstantUnion ConstantUnion::operator% | ( | const ConstantUnion & | constant | ) | const

inline

Definition at line 149 of file ConstantUnion.h.

References assert, EbtInt, iConst, and setIConst().

ConstantUnion ConstantUnion::operator& | ( | const ConstantUnion & | constant | ) | const

inline

Definition at line 185 of file ConstantUnion.h.

References assert, EbtInt, iConst, and setIConst().

ConstantUnion ConstantUnion::operator&& | ( | const ConstantUnion & | constant | ) | const

inline

Definition at line 221 of file ConstantUnion.h.

References assert, bConst, EbtBool, and setBConst().

ConstantUnion ConstantUnion::operator* | ( | const ConstantUnion & | constant | ) | const

inline

Definition at line 136 of file ConstantUnion.h.

References assert, EbtFloat, EbtInt, fConst, iConst, setFConst(), and setIConst().

ConstantUnion ConstantUnion::operator+ | ( | const ConstantUnion & | constant | ) | const

inline

Definition at line 110 of file ConstantUnion.h.

References assert, EbtFloat, EbtInt, fConst, iConst, setFConst(), and setIConst().

ConstantUnion ConstantUnion::operator- | ( | const ConstantUnion & | constant | ) | const

inline

Definition at line 123 of file ConstantUnion.h.

References assert, EbtFloat, EbtInt, fConst, iConst, setFConst(), and setIConst().

bool ConstantUnion::operator< | ( | const ConstantUnion & | constant | ) | const

inline

Definition at line 97 of file ConstantUnion.h.

References assert, EbtFloat, EbtInt, fConst, and iConst.

ConstantUnion ConstantUnion::operator<< | ( | const ConstantUnion & | constant | ) | const

inline

Definition at line 173 of file ConstantUnion.h.

References assert, EbtInt, iConst, and setIConst().

bool ConstantUnion::operator== | ( | const int | i | ) | const

inline

Definition at line 32 of file ConstantUnion.h.

References iConst.

Referenced by operator!=().

bool ConstantUnion::operator== | ( | const float | f | ) | const

inline

Definition at line 37 of file ConstantUnion.h.

References fConst.

bool ConstantUnion::operator== | ( | const bool | b | ) | const

inline

Definition at line 42 of file ConstantUnion.h.

References bConst.

bool ConstantUnion::operator== | ( | const ConstantUnion & | constant | ) | const

inline

Definition at line 47 of file ConstantUnion.h.

References bConst, EbtBool, EbtFloat, EbtInt, fConst, and iConst.

bool ConstantUnion::operator> | ( | const ConstantUnion & | constant | ) | const

inline

Definition at line 84 of file ConstantUnion.h.

References assert, EbtFloat, EbtInt, fConst, and iConst.

ConstantUnion ConstantUnion::operator>> | ( | const ConstantUnion & | constant | ) | const

inline

Definition at line 161 of file ConstantUnion.h.

References assert, EbtInt, iConst, and setIConst().

ConstantUnion ConstantUnion::operator^ | ( | const ConstantUnion & | constant | ) | const

inline

Definition at line 209 of file ConstantUnion.h.

References assert, EbtInt, iConst, and setIConst().

ConstantUnion ConstantUnion::operator| | ( | const ConstantUnion & | constant | ) | const

inline

Definition at line 197 of file ConstantUnion.h.

References assert, EbtInt, iConst, and setIConst().

ConstantUnion ConstantUnion::operator|| | ( | const ConstantUnion & | constant | ) | const

inline

Definition at line 233 of file ConstantUnion.h.

References assert, bConst, EbtBool, and setBConst().

ConstantUnion::POOL_ALLOCATOR_NEW_DELETE | ( |  | ) |

void ConstantUnion::setBConst | ( | bool | b | ) |

inline

Definition at line 23 of file ConstantUnion.h.

References bConst, and EbtBool.

Referenced by TIntermConstantUnion::fold(), operator&&(), operator||(), TIntermediate::promoteConstantUnion(), and switch().

void ConstantUnion::setFConst | ( | float | f | ) |

inline

Definition at line 22 of file ConstantUnion.h.

References EbtFloat, and fConst.

Referenced by TParseContext::addIndexExpression(), TIntermConstantUnion::fold(), operator*(), operator+(), operator-(), TIntermediate::promoteConstantUnion(), and switch().

void ConstantUnion::setIConst | ( | int | i | ) |

inline

Definition at line 21 of file ConstantUnion.h.

References EbtInt, i, and iConst.

Referenced by TParseContext::addIndexExpression(), TIntermediate::addSwizzle(), TIntermConstantUnion::fold(), TSymbolTable::insertConstInt(), operator%(), operator&(), operator*(), operator+(), operator-(), operator<<(), operator>>(), operator^(), operator|(), TIntermediate::promoteConstantUnion(), and switch().

## Member Data Documentation

bool ConstantUnion::bConst

Definition at line 250 of file ConstantUnion.h.

Referenced by getBConst(), operator&&(), operator==(), operator||(), and setBConst().

float ConstantUnion::fConst

Definition at line 251 of file ConstantUnion.h.

Referenced by getFConst(), operator*(), operator+(), operator-(), operator<(), operator==(), operator>(), and setFConst().

int ConstantUnion::iConst

Definition at line 249 of file ConstantUnion.h.

Referenced by ConstantUnion(), getIConst(), operator%(), operator&(), operator*(), operator+(), operator-(), operator<(), operator<<(), operator==(), operator>(), operator>>(), operator^(), operator|(), and setIConst().

The documentation for this class was generated from the following file:

- zenilib/jni/external/angle/src/compiler/ConstantUnion.h